]> andersk Git - libyaml.git/blobdiff - tests/run-test-suite/src/test/libyaml-emitter.t
Include libyaml-test and libyaml-parser-emitter
[libyaml.git] / tests / run-test-suite / src / test / libyaml-emitter.t
diff --git a/tests/run-test-suite/src/test/libyaml-emitter.t b/tests/run-test-suite/src/test/libyaml-emitter.t
new file mode 100644 (file)
index 0000000..7afd5f0
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+got=$(mktemp)
+
+count=0
+for test in test/*.events; do
+  want=${test//.events/.out}
+  label="Emitting '$test' equals '$want'"
+  rc=0
+  ./libyaml-emitter $test > $got || rc=$?
+  if [[ $rc -ne 0 ]]; then
+    echo "not ok $((++count)) - Error code $rc"
+    continue
+  fi
+  rc=0
+  diff=$(diff -u $want $got) || rc=$?
+  if [[ $rc -eq 0 ]]; then
+    echo "ok $((++count)) - $label"
+  else
+    echo "not ok $((++count)) - $label"
+    diff=${diff//$'\n'/$'\n'# }
+    echo "# $diff"
+  fi
+done
+
+echo "1..$count"
This page took 0.028134 seconds and 4 git commands to generate.